Data Source Manager window not vertically-resizable
Status: Closed

Priority: Normal

Assignee:

Category: OsX UI

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26311

Description

I've just installed QGIS 3.0 for OS X, from the KyngChaos repository (www.kyngchaos.com/software/qgis).

When clicking the Open Data Source Manager button, the Data Source Manager window appears, but on my screen (MacBook Pro,

Retina, 13 inch, Early 2015) it is too large vertically, and so I can't see the buttons at the bottom (see attached screenshot). I can resize

the window's width, but it seems impossible to resize vertically. This makes adding a layer very difficult!

A fix for this would be to make the default size dependent on the screen size, or at least to make the dialog vertically resizable.

History

#1 - 2018-03-12 09:14 PM - Robin Wilson

Update: I think this makes adding a layer actually impossible, as any of the ways to add a layer just seem to redirect to that dialog.

#2 - 2018-03-12 10:36 PM - Salvatore Larosa

Really I can confirm, I can't resize very dialog windows: DataSourceManager, Custom Projections, Keyboard Shortcuts etc..

#3 - 2018-04-11 11:34 AM - Patrick Connellan

Hey guys, I am having identical issue with symbol selector window. Toshiba Satellite laptop 1366 X 768 screen res. OSGeo4W install Windows 7 QGIS

3.0.1.

#4 - 2018-05-25 12:13 AM - Salvatore Larosa

fixed on osx platform with qt 5.11.0

#5 - 2018-05-27 06:15 PM - Robin Wilson

Salvatore: Does this mean I need to upgrade something on my system? Or will this fix 'just work' with the next version of QGIS?

#6 - 2018-06-24 10:36 PM - Robin Wilson

I am still experiencing this issue with QGIS 3.2 - do you have any suggestions as to what the best way forward is?
#7 - 2018-12-28 12:12 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#8 - 2018-12-28 03:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.

#9 - 2018-12-31 09:34 PM - Robin Wilson

This now seems to be fixed: the window is scaled appropriately when it first appears (so it doesn't go off the bottom of the screen), and is resizable

manually too.

Thank you all for your help.

#10 - 2018-12-31 11:01 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
